package com.ruoyi.system.service.impl.projectV2;

import java.util.Date;
import java.util.List;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.SecurityUtils;
import com.ruoyi.system.domain.projectV2.ZsyzSkxm;
import com.ruoyi.system.mapper.projectV2.ZsyzSkxmMapper;
import com.ruoyi.system.service.projectV2.IZsyzSkxmService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * 招商引资_省库项目Service业务层处理
 *
 * @author boman
 * @date 2023-02-24
 */
@Service
public class ZsyzSkxmServiceImpl implements IZsyzSkxmService {
    @Autowired
    private ZsyzSkxmMapper zsyzSkxmMapper;

    /**
     * 查询招商引资_省库项目
     *
     * @param id 招商引资_省库项目主键
     * @return 招商引资_省库项目
     */
    @Override
    public ZsyzSkxm selectZsyzSkxmById(Long id) {
        return zsyzSkxmMapper.selectZsyzSkxmById(id);
    }

    /**
     * 查询招商引资_省库项目列表
     *
     * @param zsyzSkxm 招商引资_省库项目
     * @return 招商引资_省库项目
     */
    @Override
    public List<ZsyzSkxm> selectZsyzSkxmList(ZsyzSkxm zsyzSkxm) {
        return zsyzSkxmMapper.selectZsyzSkxmList(zsyzSkxm);
    }

    /**
     * 新增招商引资_省库项目
     *
     * @param zsyzSkxm 招商引资_省库项目
     * @return 结果
     */
    @Override
    public int insertZsyzSkxm(ZsyzSkxm zsyzSkxm) {
        zsyzSkxm.setDeptId(SecurityUtils.getDeptId());
        zsyzSkxm.setCreateTime(DateUtils.getNowDate());
        return zsyzSkxmMapper.insertZsyzSkxm(zsyzSkxm);
    }

    /**
     * 修改招商引资_省库项目
     *
     * @param zsyzSkxm 招商引资_省库项目
     * @return 结果
     */
    @Override
    public int updateZsyzSkxm(ZsyzSkxm zsyzSkxm) {
        zsyzSkxm.setUpdateTime(DateUtils.getNowDate());
        return zsyzSkxmMapper.updateZsyzSkxm(zsyzSkxm);
    }

    /**
     * 招商引资_省库项目审核
     *
     * @param zsyzSkxm
     * @return
     */
    @Override
    public int updateZsyzSkxmSh(ZsyzSkxm zsyzSkxm) {
         String deptName = SecurityUtils.getLoginUser().getUser().getDept().getDeptName();
        zsyzSkxm.setShName(deptName);
        zsyzSkxm.setShTime(new Date());
        return zsyzSkxmMapper.updateZsyzSkxmSh(zsyzSkxm);
    }

    /**
     * 批量删除招商引资_省库项目
     *
     * @param ids 需要删除的招商引资_省库项目主键
     * @return 结果
     */
    @Override
    public int deleteZsyzSkxmByIds(Long[] ids) {
        return zsyzSkxmMapper.deleteZsyzSkxmByIds(ids);
    }

    /**
     * 删除招商引资_省库项目信息
     *
     * @param id 招商引资_省库项目主键
     * @return 结果
     */
    @Override
    public int deleteZsyzSkxmById(Long id) {
        return zsyzSkxmMapper.deleteZsyzSkxmById(id);
    }
}
